Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class AWTEventListenerProxy

    java.lang.Object
      |
      +--java.util.EventListenerProxy
            |
            +--java.awt.event.AWTEventListenerProxy

All Implemented Interfaces:
  AWTEventListener, EventListener

public class AWTEventListenerProxy
extends EventListenerProxy
implements AWTEventListener

A class which extends the `EventListenerProxy`, specifically for adding an `AWTEventListener` for a specific event mask. Instances of this class can be added as `AWTEventListener`s to a Toolkit object.

The `getAWTEventListeners` method of Toolkit can return a mixture of `AWTEventListener` and `AWTEventListenerProxy` objects.

Since:
  1.4
See Also:
  `Toolkit`, `EventListenerProxy`

Constructor Summary
`AWTEventListenerProxy(long eventMask, AWTEventListener listener)` Constructor which binds the AWTEventListener to a specific event mask.

Method Summary
`void` | `eventDispatched(AWTEvent evt)` Forwards the property change event to the listener delegate.
`long` | `getEventMask()` Returns the event mask associated with the listener.

Methods inherited from class java.util.EventListenerProxy
`getListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTEventListenerProxy

    public AWTEventListenerProxy(long eventMask,
                                 AWTEventListener listener)

  Constructor which binds the AWTEventListener to a specific event mask.

Parameters:
  `listener` - The listener object
  `eventMask` - The bitmap of event types to receive

Method Detail

### eventDispatched

    public void eventDispatched(AWTEvent evt)

  Forwards the property change event to the listener delegate.

  Specified by:
    `eventDispatched` in interface `AWTEventListener`
  Parameters:
    `evt` - the property change event

### getEventMask

    public long getEventMask()

  Returns the event mask associated with the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.